%define pkg_name        Heap
%define pkg_version     0.80
%define rpm_pkg_version 0.80
%define rpm_pkg_release 2.n0i.11

Summary:       Define Heap interface
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JM/JMM/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Test::Simple) >= 0.45}


%description
The Heap collection of modules provide routines that manage a heap of
elements. A heap is a partially sorted structure that is always able to easily
extract the smallest of the elements in the structure (or the largest if a
reversed compare routine is provided).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README TODO


%changelog
* Thu May 31 2007 Marius Feraru <altblue@n0i.net> - 0.80-2.n0i.11
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8

* Wed May 09 2007 Marius Feraru <altblue@n0i.net> - 0.80-1.n0i.10
- spec file (re)created using N0i::CPAN::RPMizer v1.14.5
- rebuild on perl 5.8.8

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.71-5.n0i.9
- automatic rebuild (perl 5.8.8)

* Sat Jul 23 2005 Marius Feraru <altblue@n0i.net> 0.71-4.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0.71-3.n0i.7
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0.71-2.n0i.6
- automatic rebuild (perl 5.8.6)

* Fri Jul 09 2004 Marius Feraru <altblue@n0i.net> 0.71-1.n0i.5
- version 0.71

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0.70-2.n0i.4
- automatic rebuild

* Thu Apr 22 2004 Marius Feraru <altblue@n0i.net> 0.70-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl 5.8.4)

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0.70-0.n0i.2
- version 0.70
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Sat Jun 28 2003 Marius FERARU <altblue@n0i.net> 0.50-0.n0i.1
- Initial build.
